body .p-datepicker {
    padding: 0;
    /* width: 18.571em; */
  }
  
  body .p-datepicker .p-datepicker-header {
    padding: 10px 15px;
    border-top: 0;
    border-left: 0;
    border-right: 0;
    -moz-border-radius: 0;
    -webkit-border-radius: 0;
    border-radius: 0;
  }
  
  body .p-datepicker .p-datepicker-header .p-datepicker-prev {
    cursor: pointer;
    /* top: 1.2em; */
  
    -moz-transition: color 0.3s;
    -o-transition: color 0.3s;
    -webkit-transition: color 0.3s;
    transition: color 0.3s;
  }
  body .p-datepicker .p-datepicker-header .p-datepicker-next {
    cursor: pointer;
    /* top: 1.2em; */
    -moz-transition: color 0.3s;
    -o-transition: color 0.3s;
    -webkit-transition: color 0.3s;
    transition: color 0.3s;
  }
  
  body .p-datepicker table {
    font-size: 14px;
  }
  body .p-datepicker table td {
    padding: 2px;
  }
  
  /* body .p-datepicker .p-datepicker-header .p-datepicker-next {
    top: 1.2em;
  } */
  
  body .p-datepicker table td > a,
  body .p-datepicker table td > span {
    /* min-width: 2em; */
    min-height: 2em;
    text-align: center;
    padding: 0.35em;
    -moz-border-radius: 4px;
    -webkit-border-radius: 4px;
    border-radius: 4px;
  }
  
  body .p-datepicker table td > a {
    cursor: pointer;
  }
  
  body .p-datepicker .p-timepicker {
    border: 0 none;
  }
  
  body .p-datepicker.p-datepicker-multiple-month {
    width: auto;
  }
  
  body .p-datepicker.p-datepicker-multiple-month .p-datepicker-group {
    padding-top: 0;
    padding-bottom: 0;
  }
  
  body
    .p-datepicker.p-datepicker-multiple-month
    .p-datepicker-group
    .p-datepicker-calendar-container
    tbody {
    padding-right: 0.25em;
    padding-left: 0.25em;
  }
  body
    .p-datepicker.p-datepicker-multiple-month
    .p-datepicker-group:first-child {
    padding-left: 0;
  }
  body
    .p-datepicker.p-datepicker-multiple-month
    .p-datepicker-group:last-child {
    padding-right: 0;
    border-right: 0 none;
  }
  body .p-calendar.p-calendar-w-btn .p-inputtext {
    -moz-border-radius-topright: 0;
    -webkit-border-top-right-radius: 0;
    border-top-right-radius: 0;
    -moz-border-radius-bottomright: 0;
    -webkit-border-bottom-right-radius: 0;
    border-bottom-right-radius: 0;
    border-right: 0 none;
  }
  body
    .p-calendar.p-calendar-w-btn
    .p-inputtext:enabled:hover:not(.p-state-error),
  body
    .p-calendar.p-calendar-w-btn
    .p-inputtext:enabled:focus:not(.p-state-error) {
    border-right: 0 none;
  }
  /* body .p-calendar.p-calendar-w-btn .p-datepicker-trigger.p-button {
    width: 2em;
    -moz-border-radius-topleft: 0;
    -webkit-border-top-left-radius: 0;
    border-top-left-radius: 0;
    -moz-border-radius-bottomleft: 0;
    -webkit-border-bottom-left-radius: 0;
    border-bottom-left-radius: 0;
  } */

  body .p-inputswitch {
    height: 2em;
    -moz-transition: background-color 0.3s, border-color 0.3s, box-shadow 0.3s;
    -o-transition: background-color 0.3s, border-color 0.3s, box-shadow 0.3s;
    -webkit-transition: background-color 0.3s, border-color 0.3s, box-shadow 0.3s;
    transition: background-color 0.3s, border-color 0.3s, box-shadow 0.3s;
  }
  body .p-inputswitch .p-inputswitch-slider {
    -moz-border-radius: 4px;
    -webkit-border-radius: 4px;
    border-radius: 4px;
    -moz-transition: background-color 0.3s;
    -o-transition: background-color 0.3s;
    -webkit-transition: background-color 0.3s;
    transition: background-color 0.3s;
  }
  body .p-inputswitch .p-inputswitch-slider:before {
    height: 1.7em;
    width: 1.83em;
    left: 0.6em;
    margin-top: -0.91em;
    bottom: 0;
    border-radius: 0;
    border-bottom-left-radius: 3px;
    -webkit-border-bottom-left-radius: 3px;
    -moz-border-radius-bottomleft: 3px;
    border-top-left-radius: 3px;
    -webkit-border-top-left-radius: 3px;
    -moz-border-radius-topleft: 3px;
    -webkit-transition: 0.3s;
    transition: 0.3s;
  }
  body .p-inputswitch.p-inputswitch-checked .p-inputswitch-slider:before {
    -webkit-transform: translateX(1.28em);
    -ms-transform: translateX(1.28em);
    transform: translateX(1.28em);
  }
  body .p-inputswitch.p-inputswitch-focus .p-inputswitch-slider {
    outline: 0;
  }
  body .p-inputswitch.p-inputswitch-checked .p-inputswitch-slider:before {
    border-radius: 0;
    border-bottom-right-radius: 3px;
    -webkit-border-bottom-right-radius: 3px;
    -moz-border-radius-bottomright: 3px;
    border-top-right-radius: 3px;
    -webkit-border-top-right-radius: 3px;
    -moz-border-radius-topright: 3px;
  }

  body .p-datatable .p-datatable-footer {
    padding: 10px 15px;
    text-align: center;
    font-weight: bold;
  }